% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/splot-edges.R
\name{draw_curve_with_start_segment}
\alias{draw_curve_with_start_segment}
\title{Draw Curve with Optional Start Segment}
\usage{
draw_curve_with_start_segment(
  x,
  y,
  col,
  lwd,
  lty,
  start_lty = 1,
  start_fraction = 0
)
}
\arguments{
\item{x, y}{Vectors of curve coordinates.}

\item{col}{Line color.}

\item{lwd}{Line width.}

\item{lty}{Main line type.}

\item{start_lty}{Line type for start segment.}

\item{start_fraction}{Fraction of curve for start segment (0-0.5).}
}
\description{
Draws a curve (as lines) with an optional differently-styled start segment.
Used internally to support dashed/dotted start segments for edge direction clarity.
}
\keyword{internal}
